Subject: Re: linux-next: manual merge of the powerpc tree with the dma-mapping tree

From: Christoph Hellwig <[email-masked]>
Date: Fri, 22 Feb 2019 13:49:46 +0100

On Fri, Feb 22, 2019 at 02:43:41PM +1100, Michael Ellerman wrote:
> Stephen Rothwell <[email-masked]> writes:
> 
> > Hi all,
> >
> > Today's linux-next merge of the powerpc tree got a conflict in:
> >
> >   arch/powerpc/kernel/dma-swiotlb.c
> >
> > between commit:
> >
> >   cfced786969c ("dma-mapping: remove the default map_resource implementation")
> >
> > from the dma-mapping tree and commit:
> >
> >   68005b67d15a ("powerpc/dma: use the generic direct mapping bypass")
> >
> > from the powerpc tree.
> >
> > I fixed it up (I just used the latter) and can carry the fix as
> > necessary. This is now fixed as far as linux-next is concerned, but any
> > non trivial conflicts should be mentioned to your upstream maintainer
> > when your tree is submitted for merging.  You may also want to consider
> > cooperating with the maintainer of the conflicting tree to minimise any
> > particularly complex conflicts.
> 
> Thanks.
> 
> Christoph, I've put the powerpc dma changes in a topic branch if you
> want to merge it to reduce the conflicts. Up to you.

Thanks.  I think the conflicts are pretty harmless as we are mostly
removing code entirely in the powerpc tree that the dma-mapping tree
touches.